Bug 1094779

Summary: No Cyrillic Italic Glyphs for Sans, Sans Narrow and Mono
Product: [Fedora] Fedora Reporter: Alessandro Ceschini <alescesc1986>
Component: liberation-fontsAssignee: vishal vijayraghavan <vvijayra>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: bbarve, fonts-bugs, i18n-bugs, petersen, psatpute, spathare, vishalvijayraghavan
Target Milestone: ---Keywords: FutureFeature, i18n, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1626990 (view as bug list) Environment:
Last Closed: 2019-04-24 14:33:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1626990    

Description Alessandro Ceschini 2014-05-06 13:19:25 UTC
It's wrong for Liberation Sans, Sans Narrow and Mono to have specific italic glyphs in the Cyrillic range provided that the Latin range has slanted glyphs. For the sake of consistency, slanted glyphs should be implemented in the Cyrillic range too.

Comment 1 Pravin Satpute 2014-05-09 09:59:42 UTC
Thanks Alessandro for reporting this issue.

I have now removed Serbian localized glypsh from Sans, Mono and SansNarrow

Commit id for same:  https://git.fedorahosted.org/cgit/liberation-fonts.git/commit/?h=liberation-fonts-1_07_3&id=b72da688058b451a9aef8baf0fc1d4ddc49060e5


This will be available with next release.

Comment 2 Jaroslav Reznik 2015-03-03 17:13:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora End Of Life 2016-07-19 11:27:41 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Fedora End Of Life 2017-07-25 18:39:31 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 11:46:38 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Pravin Satpute 2018-02-22 09:09:28 UTC
Still not fixed, moving to F27

Comment 7 Jens Petersen 2019-02-25 10:19:45 UTC
I don't really understand the status here 

(In reply to Pravin Satpute from comment #1)
> I have now removed Serbian localized glypsh from Sans, Mono and SansNarrow
> 
> Commit id for same: 
> https://git.fedorahosted.org/cgit/liberation-fonts.git/commit/?h=liberation-
> fonts-1_07_3&id=b72da688058b451a9aef8baf0fc1d4ddc49060e5

Couldn't find this commit in github...

So this issue still exists in Liberation 1 and 2?

Comment 8 Jens Petersen 2019-02-25 10:24:36 UTC
Actually I am not even clear on what the bug report/request is?

Is it to remove partial coverage provided by italic Cyrillic glyphs or is it to add those glyphs??

Comment 9 Pravin Satpute 2019-02-25 11:46:07 UTC
[1] Commit : https://github.com/liberationfonts/liberation-1.7-fonts/commit/b72da688058b451a9aef8baf0fc1d4ddc49060e5

* This bug has been fixed long time back, we were only waiting for upstream release. 
* This bug was fixed in Liberation 1.7, Since we are providing Liberation 1.7 through copr, we can provide Copr link here and close this bug.
* I am not sure state of this bug for Liberation 2  (cant find commit log), Vishal need to cross check commit log [1] and see, if those thing still present in Liberation 2.

Comment 10 vishalvvr 2019-04-24 14:33:25 UTC
Not able to reproduce in liberation-fonts 2.00.3-1.fc29, hence closing this bug.
If you still feel this bug needs more fixes then please reopen this bug.